Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Interface HibernateEntityManagerFactory

All Superinterfaces:
  EntityManagerFactory, Serializable

All Known Implementing Classes:
  EntityManagerFactoryImpl

    public interface HibernateEntityManagerFactory

extends EntityManagerFactory, Serializable

Author:
  Gavin King

Method Summary
`SessionFactory` | `getSessionFactory()`

Methods inherited from interface javax.persistence.EntityManagerFactory
`close, createEntityManager, createEntityManager, getCache, getCriteriaBuilder, getMetamodel, getPersistenceUnitUtil, getProperties, isOpen`

Method Detail

### getSessionFactory

    SessionFactory getSessionFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.